Subject: General Alarm---Enron Metals Recycling
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 30 Jan 2001 03:01:00 -0800 (PST)

A "Doorstep" inspection of this business was performed in accordance with our 
procedures and apparently this business is a disaster!!! We need immediate 
action on this up to and including shutting it down. This was the worst we 
have seen at Enron and I don't even want to put in this email what I heard 
was going on there. 

We need a coordinated solution here asap to avoid a real disaster, if there 
isn't one already. I'll speak with Rick Causey here about what immediate 
action we should take but the more you guys can dig into this the better. 
More to come.

Rick